ranges::views::remove_fn Struct Reference
Inheritance diagram for ranges::views::remove_fn:

## Related Functions

(Note that these are not member functions.)
constexpr remove_fn | remove {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::remove_base_fn
template<typename Rng , typename Value >
CPP_TEMPLATE_AUX_0 | c (requires move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >, Value const *, equal_to >) ccconstexpr auto operator()(Rng &&rng
template<typename Rng , typename Value , typename Proj >
CPP_TEMPLATE_AUX_0 | c (requires move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >, Value const *, equal_to, Proj >) ccconstexpr auto operator()(Rng &&rng
Public Member Functions inherited from ranges::views::remove_bind_fn
template<typename Value , typename Proj >
| CPP_TEMPLATE_AUX_0 (requires(!range< Value >)) const expr auto operator()(Value &&value
template<typename Value >
constexpr auto | operator() (Value value) const
Public Attributes inherited from ranges::views::remove_base_fn
CPP_TEMPLATE_AUX_0 Value value | const
CPP_TEMPLATE_AUX_0 Value Proj proj | const
CPP_TEMPLATE_AUX_0 Value | value
Public Attributes inherited from ranges::views::remove_bind_fn
Proj proj | const